umbrello: ClassGeneralPage Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Private Member Functions | Private Attributes | List of all members
ClassGeneralPage Class Reference

Display properties on a UMLObject. More...

`#include <classgeneralpage.h>`

Inheritance diagram for ClassGeneralPage:

## Public Slots
void | slotStereoTextChanged (const QString &)
void | slotActorToggled (bool state)

## Public Member Functions
| ClassGeneralPage (UMLDoc *d, QWidget *parent, UMLObject *o)
| ClassGeneralPage (UMLDoc *d, QWidget *parent, ObjectWidget *o)
| ClassGeneralPage (UMLDoc *d, QWidget *parent, UMLWidget *widget)
| ~ClassGeneralPage ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Member Functions
void | insertStereotypesSorted (const QString &type)
void | setInstanceWidgetNameIfApplicable (const QString &name) const

## Private Attributes
UMLObject * | m_pObject
ObjectWidget * | m_pWidget
UMLWidget * | m_pInstanceWidget
UMLDoc * | m_pUmldoc
QGridLayout * | m_pNameLayout
QCheckBox * | m_pMultiCB
QCheckBox * | m_pDrawActorCB
QCheckBox * | m_pAbstractCB
QCheckBox * | m_pDeconCB
QCheckBox * | m_pExecutableCB
DocumentationWidget * | m_docWidget
UMLObjectNameWidget * | m_nameWidget
UMLObjectNameWidget * | m_instanceNameWidget
UMLStereotypeWidget * | m_stereotypeWidget
QLabel * | m_pTagL [N_STEREOATTRS]
QLineEdit * | m_pTagLE [N_STEREOATTRS]
UMLPackageWidget * | m_packageWidget
UMLArtifactTypeWidget * | m_artifactTypeWidget
VisibilityEnumWidget * | m_visibilityEnumWidget

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

Display properties on a UMLObject.

Displays properties of a UMLObject in a dialog box. This is not usually directly called. The class ClassPropertiesDialog will set this up for you.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ClassGeneralPage() [1/3]

ClassGeneralPage::ClassGeneralPage | ( | UMLDoc * | d,
|  | QWidget * | parent,
|  | UMLObject * | o
| ) |  |

Sets up the ClassGenPage.

Parameters

  d | The UMLDoc which controls controls object creation.
  parent | The parent to the ClassGenPage.
  o | The UMLObject to display the properties of.

## ◆ ClassGeneralPage() [2/3]

ClassGeneralPage::ClassGeneralPage | ( | UMLDoc * | d,
|  | QWidget * | parent,
|  | ObjectWidget * | o
| ) |  |

Sets up the ClassGenPage for an ObjectWidget

Parameters

  d | The UMLDoc which controls controls object creation.
  parent | The parent to the ClassGenPage.
  o | The ObjectWidget to display the properties of.

## ◆ ClassGeneralPage() [3/3]

ClassGeneralPage::ClassGeneralPage | ( | UMLDoc * | d,
|  | QWidget * | parent,
|  | UMLWidget * | widget
| ) |  |

Sets up the ClassGenPage for a UMLWidget instance (used for component instances on deployment diagrams)

Parameters

  d | The UMLDoc which controls controls object creation.
  parent | The parent to the ClassGenPage.
  widget | The UMLWidget to display the properties of.

## ◆ ~ClassGeneralPage()

ClassGeneralPage::~ClassGeneralPage | ( |  | ) |

Standard deconstructor.

## Member Function Documentation

## ◆ apply()

void ClassGeneralPage::apply | ( |  | ) |

Will move information from the dialog into the object. Call when the ok or apply button is pressed.

## ◆ insertStereotypesSorted()

void ClassGeneralPage::insertStereotypesSorted | ( | const QString & | type | ) |
| private

## ◆ setInstanceWidgetNameIfApplicable()

void ClassGeneralPage::setInstanceWidgetNameIfApplicable | ( | const QString & | name | ) | const
| private

Sets the input name to the instance widget if the change is applicable.

Parameters

  name | The name of the widget

## ◆ slotActorToggled

void ClassGeneralPage::slotActorToggled | ( | bool | state | ) |
| slot

When the draw as actor check box is toggled, the draw as multi instance need to be enabled/disabled. They both can't be available at the same time.

## ◆ slotStereoTextChanged

void ClassGeneralPage::slotStereoTextChanged | ( | const QString & | stereoText | ) |
| slot

## Member Data Documentation

## ◆ m_artifactTypeWidget

UMLArtifactTypeWidget* ClassGeneralPage::m_artifactTypeWidget
| private

## ◆ m_docWidget

DocumentationWidget* ClassGeneralPage::m_docWidget
| private

## ◆ m_instanceNameWidget

UMLObjectNameWidget* ClassGeneralPage::m_instanceNameWidget
| private

## ◆ m_nameWidget

UMLObjectNameWidget* ClassGeneralPage::m_nameWidget
| private

## ◆ m_pAbstractCB

QCheckBox * ClassGeneralPage::m_pAbstractCB
| private

## ◆ m_packageWidget

UMLPackageWidget* ClassGeneralPage::m_packageWidget
| private

## ◆ m_pDeconCB

QCheckBox * ClassGeneralPage::m_pDeconCB
| private

## ◆ m_pDrawActorCB

QCheckBox * ClassGeneralPage::m_pDrawActorCB
| private

## ◆ m_pExecutableCB

QCheckBox* ClassGeneralPage::m_pExecutableCB
| private

## ◆ m_pInstanceWidget

UMLWidget* ClassGeneralPage::m_pInstanceWidget
| private

## ◆ m_pMultiCB

QCheckBox* ClassGeneralPage::m_pMultiCB
| private

## ◆ m_pNameLayout

QGridLayout* ClassGeneralPage::m_pNameLayout
| private

## ◆ m_pObject

UMLObject* ClassGeneralPage::m_pObject
| private

## ◆ m_pTagL

QLabel* ClassGeneralPage::m_pTagL[N_STEREOATTRS]
| private

## ◆ m_pTagLE

QLineEdit* ClassGeneralPage::m_pTagLE[N_STEREOATTRS]
| private

## ◆ m_pUmldoc

UMLDoc* ClassGeneralPage::m_pUmldoc
| private

## ◆ m_pWidget

ObjectWidget* ClassGeneralPage::m_pWidget
| private

## ◆ m_stereotypeWidget

UMLStereotypeWidget* ClassGeneralPage::m_stereotypeWidget
| private

## ◆ m_visibilityEnumWidget

VisibilityEnumWidget* ClassGeneralPage::m_visibilityEnumWidget
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/classgeneralpage.h
- umbrello/dialogs/pages/classgeneralpage.cpp